REM ==============================================================
REM Known tokens
REM --------------------------------------------------------------

rem Main tokens
set _BDC_mode=$$BDC_mode$$
set _BootDevice=$$ALTIRIS_BOOTDEVICE$$
set _BootType=$$ALTIRIS_BOOTTYPE$$
set _BootDisk=
set _Share_map=$$SHARE$$
set _DS_VER=$$ALTIRIS_VER$$
set _DS_BLD=$$ALTIRIS_BLD$$
set _DS_BDC=$$ALTIRIS_BDC$$
set _DS_SERVER=$$DS_SERVER_NAME$$
set _DS_SHARE=$$DS_SERVER_SHARE$$
set _DS_UNC=\\$$DS_SERVER_NAME$$\$$DS_SERVER_SHARE$$

rem PXE tokens
set _PXE_IP=
set _PXE_ID=
set _PXE_OID=
set _PXE_RID=
set _PXE_Server=
set _PXE_BootPath=
set _PXE_ClientMac=
set _PXE_Interface=

rem Platform tokens
set _Preboot_type=$$OS_TYPE$$
set _Preboot_subtype=$$OS_subtype$$
set _Preboot_subsubtype=$$OS_subsubtype$$
set _Preboot_UID=$$OS_UID$$
set _Preboot_ID=$$OS_ID$$
set _Preboot_Name=$$OS_NAME$$
set _Preboot_ShortName=$$OS_NAME2$$
set _Processor=$$Processor$$

rem Task tokens
set _work=$$work$$
set _StartNetwork=$$StartNetwork$$
set _PreloadDrivers=$$PreloadDrivers$$
set _RunRDeploy=$$RunRDeploy$$
set _RunAgent=$$RunAgent$$
set _RunAgentRemote=$$RunAgentRemote$$
set _Agent_cfgpath=$$cfgpath$$
set _Agent_Persistent=$$Persistent$$
set _Agent_AutoUpdate=$$AutoUpdate$$
set _RDClient=$$Client$$
set _RDClientConfig=$$ClientConfig$$

rem Config tokens
set _CfgName=$$CfgName$$
set _CfgDesc=$$CfgDesc$$
set _CfgOsSubType=$$CfgOsSubType$$
set _CfgOemExt=$$CfgOemExt$$
set _CfgNetType=$$CfgNetType$$
set _CfgMultiNic=$$CfgMultiNic$$
set _CfgAutoDetectDrivers=$$CfgAutoDetectDrivers$$
set _CfgUseStaticIP=$$CfgUseStaticIP$$
set _CfgClientIP=$$CfgClientIP$$
set _CfgClientSubnet=$$CfgClientSubnet$$
set _CfgClientGateway=$$CfgClientGateway$$
set _CfgClientWins1=$$CfgClientWins1$$
set _CfgClientWins2=$$CfgClientWins2$$
set _CfgUseMultiCast=$$CfgUseMultiCast$$
set _CfgConsoleName=$$CfgConsoleName$$
set _CfgConsoleIP=$$CfgConsoleIP$$
set _CfgConsolePort=$$CfgConsolePort$$
set _CfgConsoleMulticastIP=$$CfgConsoleMulticastIP$$
set _CfgConsoleMulticastPort=$$CfgConsoleMulticastPort$$
set _CfgUseRemoteAgent=$$CfgUseRemoteAgent$$
set _CfgScreenLock=$$CfgScreenLock$$
set _CfgScreenLock_Param=$$CfgScreenLock_Param$$
set _CfgComputerName=$$CfgComputerName$$
set _CfgPwlFileTitle=$$CfgPwlFileTitle$$
set _CfgDomainOrServer=$$CfgDomainOrServer$$
set _CfgContext=$$CfgContext$$
set _CfgUseLoginScripts=$$CfgUseLoginScripts$$
set _CfgUseLMHosts=$$CfgUseLMHosts$$
set _CfgLMHostsName=$$CfgLMHostsName$$
set _CfgLMHostsIP=$$CfgLMHostsIP$$
set _CfgWinPEModel=$$CfgWinPEModel$$
set _CfgEnableFireWall=$$CfgEnableFireWall$$

rem Mapped drives
set _CfgMapPath_F=$$CfgMapPath_F$$
set _CfgMapPath_G=$$CfgMapPath_G$$
set _CfgMapPath_H=$$CfgMapPath_H$$
set _CfgMapPath_I=$$CfgMapPath_I$$
set _CfgMapPath_J=$$CfgMapPath_J$$
set _CfgMapPath_K=$$CfgMapPath_K$$
set _CfgMapPath_L=$$CfgMapPath_L$$
set _CfgMapPath_M=$$CfgMapPath_M$$
set _CfgMapPath_N=$$CfgMapPath_N$$
set _CfgMapPath_O=$$CfgMapPath_O$$
set _CfgMapPath_P=$$CfgMapPath_P$$
set _CfgMapPath_Q=$$CfgMapPath_Q$$
set _CfgMapPath_R=$$CfgMapPath_R$$
set _CfgMapPath_S=$$CfgMapPath_S$$
set _CfgMapPath_T=$$CfgMapPath_T$$
set _CfgMapPath_U=$$CfgMapPath_U$$
set _CfgMapPath_V=$$CfgMapPath_V$$
set _CfgMapPath_W=$$CfgMapPath_W$$
set _CfgMapPath_X=$$CfgMapPath_X$$
set _CfgMapPath_Y=$$CfgMapPath_Y$$
set _CfgMapPath_Z=$$CfgMapPath_Z$$

rem Linux format
set _CfgMapPath_0=$$CfgMapPath_0$$
set _CfgMapPath_1=$$CfgMapPath_1$$
set _CfgMapPath_2=$$CfgMapPath_2$$
set _CfgMapPath_3=$$CfgMapPath_3$$
set _CfgMapPath_4=$$CfgMapPath_4$$
set _CfgMapPath_5=$$CfgMapPath_5$$
set _CfgMapPath_6=$$CfgMapPath_6$$
set _CfgMapPath_7=$$CfgMapPath_7$$
set _CfgMapPath_8=$$CfgMapPath_8$$
set _CfgMapPath_9=$$CfgMapPath_9$$
rem ...

rem Packages
set _CfgPkg_HTA=$$CfgPkg_HTA$$
set _CfgPkg_ADO=$$CfgPkg_ADO$$
set _CfgPkg_WSH=$$CfgPkg_WSH$$
set _CfgPkg_WMI=$$CfgPkg_WMI$$
set _CfgPkg_XML=$$CfgPkg_XML$$
set _CfgPkg_JA_JP=$$CfgPkg_JA_JP$$
set _CfgPkg_KO_KR=$$CfgPkg_KO_KR$$
set _CfgPkg_ZH_CN=$$CfgPkg_ZH_CN$$
set _CfgPkg_ZH_HK=$$CfgPkg_ZH_HK$$
set _CfgPkg_ZH_TW=$$CfgPkg_ZH_TW$$
set _CfgPkg_1=$$CfgPkg_1$$
set _CfgPkg_2=$$CfgPkg_2$$
set _CfgPkg_3=$$CfgPkg_3$$
set _CfgPkg_4=$$CfgPkg_4$$
set _CfgPkg_5=$$CfgPkg_5$$
set _CfgPkg_6=$$CfgPkg_6$$
set _CfgPkg_7=$$CfgPkg_7$$
set _CfgPkg_8=$$CfgPkg_8$$
set _CfgPkg_9=$$CfgPkg_9$$
rem ...
